summaryrefslogtreecommitdiffstats
path: root/install
diff options
context:
space:
mode:
Diffstat (limited to 'install')
-rwxr-xr-xinstall10
1 files changed, 10 insertions, 0 deletions
diff --git a/install b/install
new file mode 100755
index 0000000..2216e66
--- /dev/null
+++ b/install
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -eu
+
+[ -d "$1" ] || (echo "package $1 not found" >&2; exit 1)
+
+./build "$1"
+stow "$1"
+[ -f "$1/Makefile" ] && (cd "$1" && make -s install)
+
+true